Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Andrea Corallo <[email-masked]>
Date: Tue, 09 Mar 2021 08:43:24 +0000

Pip Cet <[email-masked]> writes:

> On Tue, Mar 9, 2021 at 8:28 AM Andrea Corallo <[email-masked]> wrote:
>> Pip Cet <[email-masked]> writes:
>> > On Mon, Mar 8, 2021 at 8:47 PM Eli Zaretskii <[email-masked]> wrote:
>> >> > From: Pip Cet <[email-masked]>
>> >> > Date: Mon, 8 Mar 2021 18:32:55 +0000
>> >> > Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
>> >> >
>> >> > What's saved_cu, actually?
>> >>
>> >> Not sure I understand the question.  Is the below what you wanted to
>> >> see?
>> >>
>> >>   (gdb) p saved_cu
>> >>   $6 = (Lisp_Object *) 0x6a5b2e7c <comp_unit>
>> >
>> > Yes! I believe we've found another bug.
>> >
>> > We were allocating comp_unit as a Lisp_Object **, but it's actually a
>> > Lisp_Object.
>>
>> Uops!  Thanks I've installed this as 380ba045c4.
>
> Thank you!
>
>> BTW this is apparently fixing also my 32bit wide int GC issue.
>
> Excellent, we were in luck there, then :-)

And this simply answer also why only 32bit wide-int was affected (and
how little has been tested in the past), nice.

  Andrea